Validate Existing Account
Once the initial session creation has been successfully completed, you can perform validations on the account as many times as needed. You only need the account information and the verification code provided in the previous process.
Validations performed:
Currently, the result of the validations is based on the following rules:
- Existing account validation: Verifies that the account exists and has gone through a session creation process from the account validator UI, and that the generated token belongs to the merchant being authenticated.
- Active account validation: Verifies that the account exists and is active with the account validation provider (PLAID, VaultPopular, Business Accounts, or MOCK as applicable).
- Available amount validation: Verifies that the account being validated has an amount greater than or equal to the amount sent in the request.
Status reasons
Possible statuses
Request
- Name
auth- Type
- Autenticación
- is Required
- REQUIRED
- Description
Structure that contains the site authentication information generated according to the WSSE UsernameToken Profile 1.1
- Name
account- Type
- object
- is Required
- REQUIRED
- Description
Account to be validated. The verification code is required.
- Name
payment- Type
- object
- is optional
- Description
Structure containing information about the transaction payment.
- Name
locale- Type
- string
- is optional
- Description
- Default value:
enExample:es_CO
- Name
site- Type
- string
- is optional
- Description
If use api credentials, this field is required to identificate the site
Example:aabbccdd1234567890aabbccdd123456
Request
curl -X "POST" https://account-validator.placetopay.com/api/verification/validate \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NG5vejc2b41xdm8=",
"seed": "2024-04-19T12:06:56-05:00"
},
"account": {
"bankCode": "221571473",
"bankName": "FIRSTBANK PUERTO RICO",
"accountType": "CCD",
"accountNumber": "41111111111111111",
"franchise": "_221571473_",
"verificationCode": "eyJhbYuiOiJSUzI1NmS1.eyJhY2NvdW50SGFzaCI6IjhkMzJkN2VjYjEyZDZmYjRmN2VlZmMzN2U4MmY2ZjI3YzNiYmY5Nzc3NjJkODAxZjQxYWZhN2Q0NWQ2YzI4YzU5YTU2NTM3YmZhM2E0NTM0MzhiMmU5M2Q4ODVkZDRiNDA1MjM5MjUwY2QzZGFkMDhhMzM2ZTJjYjM0Mjg0Y2RiIiwib25UZXN0IjpmYWxzZSwic2VydmljZSI6InBybWxjIiwiaWQiOjM4OX0.bXBuhT_xhA5vKJv3yVFJXYSYFJ4d49gmWuK2AC33GUfviAs2gSxrwZ8EHtFH4w37Pjzmq3y96uQZrllroGSlF7PySRqwxfNnem92ZKOs4EsFkzOdfBh73Z-RmCpKY6n5BQDjvVIg8hkwb2umnotjig1Zz_yHCBcvqQj5qkjj1N8HyT3KQtTOzItfDb4qf7uEAzONbcSN8YRYuRKvBMxKgJMSdeIu8Ah3zMOAhLxa1X0XnRr0a1gYudqQLowpnwQ7SP31Y_I3IlrXdBZqIYI12cciY_N1c11MsDuM1mtWhA0aJeVVzgdyq_DS0WOAiZy6Lsd26vY1ZR5Q5OsHYVIF5g"
},
"payment": {
"amount": {
"currency": "USD",
"total": 100
}
},
"locale": "en_US"
}'
Response
Validation status response
- Name
status- Type
- Status
- is Required
- REQUIRED
- Description
Structure that contains information about a request or payment, informing its current status.
Response
{
"status": "APPROVED",
"reason": "00",
"message": "The request has been successfully approved",
"date": "2024-04-19T20:51:52+00:00"
}